Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 627230 (CVE-2017-12597, CVE-2017-12598, CVE-2017-12599, CVE-2017-12600, CVE-2017-12601, CVE-2017-12602, CVE-2017-12603, CVE-2017-12604, CVE-2017-12605, CVE-2017-12606, CVE-2017-14136) - <media-libs/opencv-{2.4.13-r2, 3.3.0-r1}: Multiple Vulnerability (CVE-2017-{12597,12598,12599,12600,12601,12602,12603,12604,12605,12606})
Summary: <media-libs/opencv-{2.4.13-r2, 3.3.0-r1}: Multiple Vulnerability (CVE-2017-{1...
Status: RESOLVED FIXED
Alias: CVE-2017-12597, CVE-2017-12598, CVE-2017-12599, CVE-2017-12600, CVE-2017-12601, CVE-2017-12602, CVE-2017-12603, CVE-2017-12604, CVE-2017-12605, CVE-2017-12606, CVE-2017-14136
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B2 [glsa cve]
Keywords:
Depends on:
Blocks: CVE-2017-12862, CVE-2017-12863, CVE-2017-12864
  Show dependency tree
 
Reported: 2017-08-07 08:27 UTC by Aleksandr Wagner (Kivak)
Modified: 2017-12-14 17:04 UTC (History)
2 users (show)

See Also:
Package list:
media-libs/opencv-2.4.13-r3
Runtime testing required: ---
stable-bot: sanity-check+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Wagner (Kivak) 2017-08-07 08:27:47 UTC
CVE-2017-12597 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12597):

OpenCV (Open Source Computer Vision Library) through 3.3 has an out-of-bounds write error in the function FillColorRow1 in utils.cpp when reading an image file by using cv::imread. 

References:

https://github.com/opencv/opencv/issues/9309
https://github.com/xiaoqx/pocs/blob/master/opencv.md

CVE-2017-12598 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12598):

OpenCV (Open Source Computer Vision Library) through 3.3 has an out-of-bounds read error in the cv::RBaseStream::readBlock function in modules/imgcodecs/src/bitstrm.cpp when reading an image file by using cv::imread, as demonstrated by the 8-opencv-invalid-read-fread test case. 

References:

https://github.com/opencv/opencv/issues/9309
https://github.com/xiaoqx/pocs/blob/master/opencv.md

CVE-2017-12599 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12599):

OpenCV (Open Source Computer Vision Library) through 3.3 has an out-of-bounds read error in the function icvCvt_BGRA2BGR_8u_C4C3R when reading an image file by using cv::imread. 

References:

https://github.com/opencv/opencv/issues/9309
https://github.com/xiaoqx/pocs/blob/master/opencv.md

CVE-2017-12600 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12600):

OpenCV (Open Source Computer Vision Library) through 3.3 has a denial of service (CPU consumption) issue, as demonstrated by the 11-opencv-dos-cpu-exhaust test case. 

References:

https://github.com/opencv/opencv/issues/9311
https://github.com/xiaoqx/pocs/blob/master/opencv.md

CVE-2017-12601 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12601):

OpenCV (Open Source Computer Vision Library) through 3.3 has a buffer overflow in the cv::BmpDecoder::readData function in modules/imgcodecs/src/grfmt_bmp.cpp when reading an image file by using cv::imread, as demonstrated by the 4-buf-overflow-readData-memcpy test case. 

References:

https://github.com/opencv/opencv/issues/9309
https://github.com/xiaoqx/pocs/blob/master/opencv.md

CVE-2017-12602 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12602):

OpenCV (Open Source Computer Vision Library) through 3.3 has a denial of service (memory consumption) issue, as demonstrated by the 10-opencv-dos-memory-exhaust test case. 

References:

https://github.com/opencv/opencv/issues/9311
https://github.com/xiaoqx/pocs/blob/master/opencv.md

CVE-2017-12603 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12603):

OpenCV (Open Source Computer Vision Library) through 3.3 has an invalid write in the cv::RLByteStream::getBytes function in modules/imgcodecs/src/bitstrm.cpp when reading an image file by using cv::imread, as demonstrated by the 2-opencv-heapoverflow-fseek test case. 

References:

https://github.com/opencv/opencv/issues/9309
https://github.com/xiaoqx/pocs/blob/master/opencv.md

CVE-2017-12604 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12604):

OpenCV (Open Source Computer Vision Library) through 3.3 has an out-of-bounds write error in the FillUniColor function in utils.cpp when reading an image file by using cv::imread. 

References:

https://github.com/opencv/opencv/issues/9309
https://github.com/xiaoqx/pocs/blob/master/opencv.md

CVE-2017-12605 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12605):

OpenCV (Open Source Computer Vision Library) through 3.3 has an out-of-bounds write error in the FillColorRow8 function in utils.cpp when reading an image file by using cv::imread. 

References:

https://github.com/opencv/opencv/issues/9309
https://github.com/xiaoqx/pocs/blob/master/opencv.md

CVE-2017-12606 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-12606):

OpenCV (Open Source Computer Vision Library) through 3.3 has an out-of-bounds write error in the function FillColorRow4 in utils.cpp when reading an image file by using cv::imread. 

References:

https://github.com/opencv/opencv/issues/9309
https://github.com/xiaoqx/pocs/blob/master/opencv.md
Comment 1 Aleksandr Wagner (Kivak) 2017-09-20 17:08:55 UTC
The patches have been added as stated in bug 627958, thank you maintainers.

@Maintainer(s): Please state when you are ready for stabilization.
Comment 2 Christopher Díaz Riveros (RETIRED) gentoo-dev Security 2017-10-23 20:51:06 UTC
I'm adding CVE-2017-14136 

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14136

it fixes CVE-2017-12597
Comment 3 Andreas Sturmlechner gentoo-dev 2017-11-20 18:53:14 UTC
Let's stabilise 2.4.13-r3 then, thanks in advance.
Comment 4 Agostino Sarubbo gentoo-dev 2017-11-24 13:24:11 UTC
amd64 stable
Comment 5 Thomas Deutschmann gentoo-dev Security 2017-11-27 00:22:19 UTC
x86 stable

@ Maintainer(s): Please cleanup and drop <media-libs/opencv-2.4.13-r3!
Comment 6 Amy Liffey gentoo-dev 2017-11-27 07:37:07 UTC
(In reply to Thomas Deutschmann from comment #5)
> x86 stable
> 
> @ Maintainer(s): Please cleanup and drop <media-libs/opencv-2.4.13-r3!

commit 84fde63799f57375e4dc9d9f6ecb07e5aaf55c8a
Author: Amy Liffey <amynka@gentoo.org>
Date:   Mon Nov 27 08:32:18 2017 +0100

    media-libs/opencv: drop old vulnerable version
    
    Package-Manager: Portage-2.3.13, Repoman-2.3.3

All <media-libs/opencv-2.4.13-r3 dropped.
Comment 7 D'juan McDonald (domhnall) 2017-12-03 03:25:03 UTC
New GLSA request filed.

Gentoo Security Padawan
(jmbailey/mbailey_j)
Comment 8 GLSAMaker/CVETool Bot gentoo-dev 2017-12-14 17:04:17 UTC
This issue was resolved and addressed in
 GLSA 201712-02 at https://security.gentoo.org/glsa/201712-02
by GLSA coordinator Thomas Deutschmann (whissi).